SoVertexAttributeBundle(3)

NAME
SoVertexAttributeBundle - The SoVertexAttributeBundle class simplifies vertex attribute handling.

SYNOPSIS

#include <Inventor/bundles/SoVertexAttributeBundle.h>

Inherits SoBundle.

  Public Member Functions
SoVertexAttributeBundle (SoAction *action, SbBool forrendering)
~SoVertexAttributeBundle ()
void send (int index) const
SbBool doAttributes (void) const

  Additional Inherited Members
Protected Member Functions inherited from SoBundle
SoBundle (SoAction *action)
~SoBundle ()
Protected Attributes inherited from SoBundle
SoState * state
The state of the current action.

Detailed Description

The SoVertexAttributeBundle class simplifies vertex attribute handling.

Constructor & Destructor Documentation

  SoVertexAttributeBundle::SoVertexAttributeBundle (SoAction * action, SbBool forrendering)
Constructor.

  SoVertexAttributeBundle::~SoVertexAttributeBundle ()
Destructor.

Member Function Documentation

  void SoVertexAttributeBundle::send (int index) const
Send the index'th attribute to OpenGL.

Author

Generated automatically by Doxygen for Coin from the source code.